summaryrefslogtreecommitdiffstats
path: root/games/pangzero/pangzero.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/pangzero/pangzero.SlackBuild')
-rw-r--r--games/pangzero/pangzero.SlackBuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/games/pangzero/pangzero.SlackBuild b/games/pangzero/pangzero.SlackBuild
new file mode 100644
index 0000000000..fbd5e747c7
--- /dev/null
+++ b/games/pangzero/pangzero.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for pangzero
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# This is unmaintained since 2006 by its original authors, but the Debian
+# Games Team has done a great job of porting it to the new perl-SDL API,
+# adding enhancements, and squashing bugs. So we'll use their source and
+# patches. Note that DEBREV specifies the Debian revision number (i.e. the
+# last component of the name of the .debian.tar.xz file).
+
+PRGNAM=pangzero
+VERSION=${VERSION:-1.4.1+git20121103}
+DEBREV=${DEBREV:-2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.xz
+cd $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION-$DEBREV.debian.tar.xz
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+for i in $( cat debian/patches/series ); do
+ patch -p1 < debian/patches/$i
+done
+
+perl Build.PL
+./Build
+#./Build test # skip this as it's long and noisy
+./Build install \
+ --prefix=/usr \
+ --installdirs=vendor \
+ --destdir $PKG
+
+# couldn't figure out how to get the game to install in /usr/games, so:
+mv $PKG/usr/bin $PKG/usr/games
+
+mkdir -p $PKG/usr/share/pixmaps \
+ $PKG/usr/share/applications \
+ $PKG/usr/man/man6 \
+
+# those perl vendor paths are a mouthful...
+ln -s ../perl5/vendor_perl/auto/share/dist/Games-PangZero/icon.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+cat debian/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+gzip -9c < debian/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README TODO VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}